Name:    kcron
Summary: Cron KDE configuration module
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/system/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-kio-devel
BuildRequires: cmake(Qt5PrintSupport)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(KF5KCMUtils)


Conflicts: kde-l10n < 17.03

%description
Systemsettings module for the cron task scheduler.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%files -f %{name}.lang
%license LICENSES/*
%doc README
%{_kf5_datadir}/qlogging-categories5/kcron*
%{_kf5_metainfodir}/org.kde.kcron.metainfo.xml
%{_kf5_libexecdir}/kauth/kcron_helper
%{_kf5_datadir}/dbus-1/system-services/local.kcron.crontab.service
%{_kf5_datadir}/dbus-1/system.d/local.kcron.crontab.conf
%{_kf5_datadir}/polkit-1/actions/local.kcron.crontab.policy
%{_kf5_datadir}/applications/kcm_cron.desktop
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/kcm_cron.so

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
